PRO Menu Contents

PRO Menu web page

The Productivity Toolbox
for AutoCAD 2008

What is PRO Menu?
Installing PRO Menu
Getting Started
New Toolbars
New Button Icons
Popup Toolbox
Toolbar Swapping
Mouse Buttons
Enhanced Osnap Menu
Expanded Shortcut Menus
Pull-Down Menus
Keyboard Macros
Using the Guidelines
Screen Menu
Troubleshooting and Support
Command Summary
Ordering PRO Menu


What is PRO Menu?

PRO Menu is a unique addition to AutoCAD, giving it a significant boost in productivity. Working efficiently means having the right tool for every job, and PRO Menu puts in the essential tools that Autodesk left out. It reduces keystrokes and provides a complete productivity toolbox in an easy-to-install package.

PRO Menu uses today's bigger screens to add a few pull-down menus, with commands clearly and logically organized. The expanded layout has more options and settings right in the menus, saving guesswork and keystrokes. PRO Menu also greatly expands the shortcut menus. This not only saves time and clicks, it also allows much more editing to be done in "Clean Screen" mode.

Other features include a toolbar to transparently restore views in one click, enhanced layer control, and PRO Menu even adds a few new control panels to the Dashboard. For easy keyboard entry, the new commands use a quick three-letter name.

The AutoCAD 2008 customizing interface lets you easily modify PRO Menu to suit your needs, and create multiple workspaces with different menus and toolbars. And, of course, you can load your existing custom menus along with PRO Menu.

PRO Key

A companion product from MultiCIM Technologies is a keyboard macro utility named PRO Key. This powerful utility makes it easy to program any key combination with your own custom macros and commands. PRO Menu and PRO Key work well together and will enhance anyone's productivity with AutoCAD. A trial version of PRO Key can be downloaded from the PRO Menu Download Page

>> Next

<< Contents


Installing PRO Menu

PRO Menu is designed to be the main CUI file, in place of the default ACAD.CUI. It contains all the normal menu items, additional AutoCAD commands and settings, and the many new PRO Menu commands.

By default PRO Menu installs in the user's My Documents folder, but will work in any local folder. The setup also installs Visual Basic runtime files. During installation you must select an existing profile name. If you have not created any new profiles, pick the one named "Unnamed Profile". Vertical products like Mechanical Desktop use the Vanilla profile to start AutoCAD with the ACAD menu. Setup will make a copy of the selected profile and change the main CUI file. When done, an icon will be placed on the desktop to start AutoCAD with the Promenu profile.

If the Express Tools are installed the Express menu will appear at its normal position. Other previously loaded menus remain loaded.

An unregistered copy of PRO Menu has all the features of the full version, but the new commands will function for only 50 drawings. A reminder message displays each time a drawing is started or opened.

Installing PRO Menu Manually
PRO Menu must be initially installed using its own installer. It can also be installed manually on the same computer for users with limited access rights. The folder named "Promenu" must first be copied to where they have full access, such as their My Documents folder. Then another user can follow these steps to install PRO Menu as the base or partial CUI:
  1. Copy an existing profile and name it "Promenu", then set it current.
  2. Add the Promenu folder to the Support File Search Path (Options/Files).
  3. As main CUI: type MENU on the command line, and pick "Promenu.cui"
    As partial CUI: See below about loading PRO Menu as a partial CUI.
Using PRO Menu as a Partial CUI File
For vertical products with their own menus, like Architectural Desktop, you can load PRO Menu as a partial CUI in the current profile. When loaded as a partial CUI, PRO Menu's menus and toolbars can be added to existing workspaces or transferred over to the main CUI file. Unless they are transferred, these features will not be available:
  • Expanded shortcut menus
  • Programmed mouse buttons
  • Mouse button access to the enhanced osnap menu (use Ctrl+F)
  • Keyboard shortcuts duplicated in the main CUI file
  • The PRO Menu Screen menu
Note: After loading a partial CUI file, AutoCAD will display all its pull-down menus in all workspaces. You will therefore need to do some workspace customizing.

Follow these steps to install PRO Menu as a partial CUI:
  1. In the Options/Files tab, add Documents\PRO Menu 2008\Promenu\ to the Support File Search Path
  2. In the CUI dialog, right click on Partial CUI Files, select "Load partial customization file" and load Promenu.cui. You can also use the CUILOAD command.
  3. Select an existing workspace name, click the Customize Workspace button and select which PRO Menu menus and toolbars to display
  4. Repeat the above step for each workspace
The menu named PRO Menu needs to be kept visible, to access most of new commands from a single pull-down menu.

Uninstalling PRO Menu
Before removing PRO Menu, first set another profile current or exit from AutoCAD. This is necessary to allow removal of the Promenu profile. Then click on "Uninstall PRO Menu" in the Programs Menu. This will remove all the PRO Menu files and Promenu profile.

Important

If PRO Menu is loaded without adding it to the Support File Search Path, it will show question marks for the icons and the commands will not work. If this happens, add the Promenu folder and reload PRO Menu.


Getting Started

When you start AutoCAD after completing the PRO Menu setup, Promenu will be the default profile. Each time you open a drawing while using PRO Menu, the trial version dialog displays how many of the 50 trials are left. Click Continue to load the PRO Menu commands and functions. If you close the dialog any other way, the menu will stay but the new PRO Menu commands will not be available.

PRO Menu will be the main CUI file, and loads the ACAD, Custom and Express files as partial CUIs. Other previously loaded partial CUI files should remain loaded. If you change the current profile or main CUI file, the PRO Menu Trial Dialog and the new commands and functions will not load.

PRO Menu adds three new Dashboard control panels: PRO Menu Layers, PRO Menu Tools and Solid Editing. The other control panels are from the ACAD.CUI file. In the control panel list, AutoCAD shows the names from all CUI files together.

PRO Menu Workspaces
The PRO Menu CUI file has four new workspaces. They use a combination of PRO Menu's new toolbars and some from the ACAD.CUI file. They are good starting points to try the new features, then you can modify them to suit your exact needs.

PRO Menu 2D Drafting - Similar to the AutoCAD 2D Drafting workspace, but with the PRO Menu Layers and Tools control panels, and new Standard and other toolbars. It also displays the new View 2D pull-down menu, a simplified version of the View menu with 3D viewing and rendering commands removed.

PRO Menu 2D Toolbars - Like the AutoCAD Classic workspace but with PRO Menu's new toolbars, including ones for transparently restoring views and layer states. It also displays the View 2D pull-down menu.

PRO Menu 3D Modeling - Similar to the AutoCAD 3D Modeling workspace, but it displays the new Modeling pull-down menu which contains all 3D modeling commands. The Dashboard has the new PRO Menu Layers and Solid Editing control panels.

PRO Menu 3D Toolbars - Uses only toolbars to provide all essential commands for 3D modeling.

PRO Menu also includes the three original AutoCAD 2008 workspaces. They display the menus and toolbars from the ACAD.CUI file in the default arrangement, but add the new PRO Menu pull-down menu on the right. This menu contains most of the new commands, and allows you to start with the default AutoCAD setup and access the new PRO Menu commands in a single location. These workspaces will still display PRO Menu's expanded shortcut and osnap menus.

Learning What's In PRO Menu
PRO Menu's features are all easy to use, but there are a lot of them. The quickest way to learn the new capabilities is to open a drawing with which you are familiar. Go through the online Help, and try the new pull-down menus, toolbars, mouse buttons and key assignments. Many commands use the dynamic prompts near the cursor, so leave them turned on. Several PRO Menu commands prompt you to specify layers. There are two ways to do this - by picking a visible object on the desired layer, or the layer name from a popup list. To display the popup list, press Enter at the "Select layers:" prompt.

The brief time spent doing this will show you what each item does, as well as some new ways of working with AutoCAD. Then use the new features in your regular work, and don't just stick to your old habits. Soon you will be enjoying a whole new level of productivity.

Restoring ACAD.CUI as the Main CUI File
To restore ACAD or another main CUI file, pick Tools > Options > Profiles. Pick the desired profile and set it current. If you have not created any named profiles, there should be the "Unnamed Profile".
To return to the PRO Menu menus, set current the Promenu profile. The PRO Menu commands will load into each currently open drawing.


New Toolbars

PRO Menu adds several toolbars and also uses them in new ways (see Toolbar Swapping). A few existing toolbars have been modified or expanded. For example, commands from the previous Modify and Modify 2 toolbars are on PRO Menu's Modify and Construct toolbars. A new function of the Object Snap toolbar allows picking a button at the command prompt to set a single running snap mode, like the osnap cursor menu. On the Standard toolbar, new buttons for groups and the Popup Toolbox and a flyout for object selection replace three other buttons.

PRO Menu has all the dropdown lists for color, linetype, viewport scale etc. as separate toolbars. This provides much more flexibility in the choice of displayed toolbars and the screen area used. It also allows any toolbar to be docked at the side or used as a flyout without losing the dropdown list.

To make it easier to display a desired toolbar, PRO Menu has the corresponding toolbar listed at the bottom of most pull-down menus and submenus. Click the toolbar name or press the spacebar when the menu is displayed to show the toolbar.

The main new toolbars and their contents are:

Arc | All arc creation options
Attributes | All attribute-related commands
Circle | All circle creation options
Construct | Most commands in the Construct menu
Fillet | Draws fillets with saved radii, sets saved values
Layers | Existing and new layer control commands
Numeric | Enters numbers and symbols with the mouse
Popup Toolbox | Large toolbar for the "virtual tablet" feature
Layer States | Transparently restores layer state 1 to 5
Select | Preselects objects or selection options
Swap Toolbars | Switches to one of 11 frequently-used toolbars
Viewbar | Creates and transparently restores saved views
Xref | New and existing xref commands
3D Operations | Most commands from the 3D Operations menu

You may want to customize the PRO Menu toolbars and menus, but you should use them for a while the way they come, to see how everything works together.


New Button Icons

PRO Menu has new toolbar buttons for many of its commands. These icons are on the Standard toolbar or on separate toolbars:

List Lite - (LL) Displays single object data transparently at the cursor and the command line. The currently-listed object is highlighted.
Popup Toolbox - Displays the Popup Toolbox in its previous location.
Draw Guidelines - (DGL) Draws a grid of guidelines in Model space or Paper space.
Guidelines On/Off - Toggles the guidelines transparently. Also use the F4 key.
Move Guidelines - (MGL) Moves the guidelines by picking points or typing a displacement.
Mid 2 Points - (Object Snap toolbar) Snaps to a point midway between two picked or typed points.
Pan in Paper Space - (PPS) Switches to Paper space to realtime pan, then returns to Model space.
Zoom in Paper Space - (ZPS) Switches to Paper space to realtime zoom, then returns to Model space.

These buttons are on the Viewbar, Dimension, Draw, Construct, Select, Fillet or Popup Toolbox toolbars:

Copy then Rotate - (CTR) Copies selected objects using a base point, then rotates them about their same base point.
Copy to Layer - (CTL) Creates a copy of selected objects on another layer. Pick the new layer on the screen or from the popup layer list.
On Layer - Selects all objects on layers by picking objects or from a layer list. Can add or remove objects while building a selection set.
Quick Select - Displays the Quick Select dialog, to select drawing objects using various filters.
Pick Dimension Style and Layer - (PDS) Sets the current dimension style and layer by picking a dimension, or style only from a popup list.
Save View - Saves the current viewport display as View A to I.
Save View with Layers - Saves the current viewport display as View A to I, including current layer visibility.
Save Windowed View - Saves a windowed area as View A to I.
Xlines on Const Layer - (CLX) Draws xlines on the layer CONST, then returns to the current layer. Creates the layer if necessary.
Set Fillet Radius - Sets one of the five preset fillet radii which are saved in the drawing.
Zero Radius Fillet - (ZRF) Creates a fillet of zero radius without changing the default radius.

These buttons are on the Text Toolbar:

Pick Text Style and Layer - (PTS) Sets the current text style and layer by picking text, or style only from a popup list.
Export Text - (EPT) Saves selected single line text to a file. Lines are sorted by vertical position.
Import Text - (IMT) Imports a text file, creates single line text in the current style.
Continue Text - (CNT) Continues single line text on a new line with the same style and properties.
Edit in Notepad - Edits selected single line text in Notepad. Lines are sorted by vertical position.
Convert Text to Mtext - (TTM) Converts single line text to multiline text.

These buttons are on the Layers toolbar:

Pick Current Layer - (PCL) Sets the current layer by picking an object or layer from a popup list. If necessary the layer will be thawed or turned on.
Layers On - (LON) Turns layers on by picking from a popup list of layers currently off.
Layers Off - (LOF) Turns layers off by picking objects or from a list of layers currently on.
Thaw Layers - (LTH) Thaws layers by picking from a popup list of frozen layers.
Freeze Layers - (LFR) Freezes layers by picking objects or from a list of thawed layers.
Unlock Layers - (LUN) Unlocks layers by picking objects or from a list of locked layers.
Lock Layers - (LLO) Locks layers by picking objects or from a list of unlocked layers.
Isolate - (LIS) Turns off all layers except those picked on the screen or from the popup list. Use Unisolate to restore previous layer visibility.
Isolate Current - Turns off all layers except the current one. Use Unisolate to restore previous layer visibility.
Unisolate Layers - (LRE) Restores layer on/off settings in effect before using LIS or Isolate Current.
Set Layer Color - (LCO) Sets color of layers selected by picking objects or from a popup list.
New Current Layer - (LNC) Creates a new current layer by typing the name at the command line.
Thaw in Viewports - (VLT) Thaws layers picked on the screen or from the popup list in selected viewports.
Freeze in Current Viewport - (CVF) Freezes the layer of picked objects in the current viewport, press Enter to select layers from the popup list.
Thaw All in Current Viewport - Thaws all layers in the current Paper space viewport. This can also apply to Paper space itself.
Isolate in Current Viewport - (CVI) Isolates the layer of picked objects in the current viewport, or press Enter to select layers from the popup list.
All Layers On - Turns on all layers transparently, including during AutoLISP-based commands.
Thaw All Layers - Thaws all layers in the drawing. If used during a command, regen will be queued.


Popup Toolbox

PRO Menu has a "virtual tablet" feature, which gives quick access to a large number of commands without filling up the screen with toolbars. The Popup Toolbox is a special toolbar containing 60 buttons from the Draw, Modify, Construct, Text and Dimension toolbars. After picking a button, the Popup Toolbox disappears from the screen. To display the Popup Toolbox, click the "Popup Toolbox" icon or type Ctrl + Shift + Z.

You can customize the Popup Toolbox like any toolbar in the Customization dialog. Be sure to edit the macro line to match the format of other Popup Toolbox buttons, so the toolbar will disappear after picking a button. You could also add the "Popup Toolbox" icon to other toolbars.


Toolbar Swapping

PRO Menu provides an new interface option to AutoCAD which gives quick access to many commands without filling up the screen with toolbars. By using the Swap Toolbars toolbar, you can display any of 11 commonly-used toolbars with a single click. When a toolbar name is picked, the previously-selected toolbar is replaced by the new one. Any currently selected drawing objects will remain selected after switching toolbars.

Swapping toolbars keeps the screen clear of multiple toolbars, yet a large number of commands can be picked with minimal use of the mouse. If each of the 11 listed toolbars contained 20 buttons, it would give access to 220 commands with one or two mouse clicks. If the Screen menu list is used even more toolbars are available, as shown below.

Using Toolbar Swapping
PRO Menu has three ways to swap toolbars: the Swap Toolbars cursor menu or toolbar, or the Screen Menu. Display the cursor menu by pressing Ctrl+G, where you can also pick "Show Toolbar" to display the toolbar.

Swap Toolbars Menu and Toolbar

Toolbar swapping works best if you position each toolbar at the same point on the screen, such as the upper right corner of the drawing area. Toolbars can be docked or floating, but if docked the restored positions may vary. Pick each toolbar name to display it, then position the toolbar at the desired place. Remember that when a toolbar is displayed by picking it from the swap list, it will disappear when you pick another one. To keep a toolbar always visible, select it from a pull-down menu or the normal toolbar list (press the right mouse button with the cursor over an unused toolbar area).

All the listed toolbars can be customized in the normal way. The toolbar names can be changed by customizing the CUI file. Follow the existing format for each toolbar name, and if you include the menugroup, it can swap toolbars from other loaded CUI files.

Note: If loading PRO Menu manually, after setting the location of the toolbars, do not change the main CUI file until after exiting and restarting AutoCAD. This will save the PRO Menu toolbar positions and they will always appear at the same place.

>> Next

<< Contents

Swapping Toolbars With the Screen Menu
The Screen menu displays a total of 18 names in the toolbar swap list. To set it up, first turn on the Screen menu in the Display tab of the Options dialog. Note that the Screen menu uses the current Windows menu font. The Screen menu size can be adjusted by undocking it, dragging an edge and docking it again.

Screen Menu toolbar list Screen menu list to swap toolbars
Picking a toolbar name displays it and
removes the previous one. Pick 2D/3D to
switch between the 2D and 3D toolbars.

Additional toolbars can be placed below
the one displayed using the Screen menu.
Change the toolbar names by editing the
CUI file.

To display the toolbar list on the Screen menu pick SWAP TBARS; the Draw toolbar will appear by default. Pick each toolbar name to display it and adjust its width to best fit the Screen menu width. This depends on the font size and use of small or large buttons; the default of three columns should work for most users. Then position each toolbar over the Screen menu as shown above. You can also float other toolbars below the listed one over the remaining Screen menu area.

The number of toolbar rows docked at the top of the screen should not be changed after setting up the Screen menu, and because toolbars remain fixed, it must be used for all open drawings. If the Screen menu list is in effect when exiting AutoCAD, it will be the default the next time it starts. If the Screen menu is blank when AutoCAD starts, undock and resize it, then dock it again. To return to the normal Screen menu, pick "PRO Menu" at the top.


Mouse Buttons

Efficient use of programmed mouse buttons can be a big productivity booster with AutoCAD. Users generally use the middle wheel/button for panning and zooming and shift + right button for the Osnap menu (MBUTTONPAN = 1). PRO Menu will also display the Osnap menu by pressing Ctrl + F.

PRO Menu adds the new mouse button functions listed below. Button assignments can be changed or added by customizing the CUI file.

Ctrl + Right - Toggle ortho mode

Shift + Ctrl + Middle - Toggles the Dashboard display (transparently if floating)
Shift + Ctrl + Right - Toggles Properties Palette (transparently if floating)


Enhanced Osnap Menu

PRO Menu adds markers to the Osnap menu to show current running osnap modes. The markers don't display when osnap is turned off. If an osnap is picked at the command prompt it sets running osnap to that mode, as a quick way to set a single runnning osnap. This feature applies to both the menu and Osnap toolbar.

PRO Menu adds these new submenus and functions to the Osnap menu:

Preselect Objects (SEL)
This label displays at the command prompt and starts PRO Menu's SEL command with the picked selection option. Select objects using previous, fence, etc. When finished selecting, press Enter and the objects will be highlighted and gripped (if grips are on). They can then be modified using the Properties Palette, grip editing or as preselected objects for a command. If the PICKFIRST variable is off, selected objects can still be modified with the Properties Palette or grip editing.

To select previous objects again or keep the currently highlighted objects pick "Previous". Then other selection options can be used to modify the selection set. "On Layer" can be used separately to preselect all objects on one or more layers.

Enhanced Osnap Menu

Select Objects
This label displays during a command, and gives normal object selection options. Use "On Layers" to add or remove all objects on specific layers while creating a selection set.
Selection Toolbar - Displays the Select toolbar. The toolbar functions like the menu, starting the SEL command at the command prompt, and normal selection options during a command.

PRO Snaps
This submenu shows nine preset combinations of running osnaps. Pick an item to set the osnaps transparently. You can modify the choices by customizing the PRO Snaps submenu in Shortcut Menus/Object Snap Menu, in the CUI customization.

Toggle Osnaps
On/Off - Toggles running osnaps on/off transparently, like the F3 key.
The Toggle Osnaps submenu transparently toggles each picked osnap mode. Markers show the current settings, whether osnaps are all currently turned on or off.

PRO Menu also displays the Osnap menu by pressing Ctrl + F. This provides access to it if PRO Menu is loaded as a partial menu.


Expanded Shortcut Menus

PRO Menu makes many useful improvements to the shortcut menus, but to take advantage of them, they must all be turned on. If desired, the time-sensitive right-click feature will let the right mouse button act as Enter as well as to access the shortcut menus.

Command Mode Menu
The Snap Overrides submenu displays markers to show currently active snap modes. The Select Objects submenu has been added, allowing you to pick a selection option during a command. To take full advantage of these menus, the Command Mode menu should be set to "always enabled" (Options - User Preferences - Right-Click Customization). This makes both the object selection and snap overrides always available during a command via the right click menu, instead of with Shift + right mouse button.

Expanded Command Menu

Grip Edit Menu
The Snap Overrides submenu has been added to the Grip Edit menu. Also added is "Clear Grips" to cancel editing and clear all grips, which can be selected with the spacebar. If shortcut menus are turned off (not recommended) the menu will not appear, allowing the right mouse button to act as Enter during grip editing.

Edit Mode Menus
In the Edit Mode menus (which display after selecting objects) "Deselect All" and "Properties" have been repositioned closer to the top. The number of available menus has been greatly increased, from 16 in the standard menu to 44 in PRO Menu. This permits much more editing to be done by selecting single or multiple objects, then picking an appropriate option in the menu. PRO Menu provides edit mode menus for nearly all single objects, and many useful menus for multiple object selections. Slightly different menus appear for single or multiple dimensions, with options appropriate for each case. To repeat the complete menu macro, click the top item on the shortcut menu. The menu below displays when a single polyline is selected.

Expanded Shortcut Menu

PRO Menu's edit mode menus will convert multiple lines or arcs into polylines and set their width with a single menu pick. For example, after selecting several connected lines, pick: "Convert to Polylines > Join Selected" in the shortcut menu to join them. After selecting a single arc, line or polyline, pick "Join More" to join more lines and polylines to it. The join options use the current pedit settings for join type and fuzz distance.

Object Data - This common item lists properties of the currently-selected single object next to the cursor and on the command line, like List Lite. It avoids displaying the Properties Palette, or using the text window and the List command. Press Enter or the pick button to exit. The keystroke to directly access this menu item is the spacebar.


Pull-Down Menus

A major benefit of PRO Menu comes from its expansion of the pull-down menus. They are based on the standard ACAD.CUI, but some menus are added which correspond better to actual command usage and drawing operations. The logical layout makes all the new PRO Menu commands and features easy to find after a brief familiarization.

The PRO Menu CUI file contains five new pull-down menus:

  • View 2D
  • Construct
  • Layers
  • Text
  • Modeling
  • PRO Menu
The Construct menu contains all commands which copy or create objects from existing objects, to avoid making the Modify menu excessively long. The View 2D menu displays in the PRO Menu 2D workspaces, and has commands related to 3D viewing and rendering removed. The Modeling menu has all the 3D modeling commands, which have been moved from the Draw and Modify menus, and displays in the PRO Menu 3D workspaces. These changes make commands easier to find, and simplify the menus when working in 2D.

The PRO Menu menu is displayed in the three AutoCAD workspaces. It provides access to most of the new commands from one location, although it does not contain all the new items in the other menus. It also displays automatically if PRO Menu is loaded as a partial CUI.

The menus contain items which previously needed clicking a toolbar or typing a command or variable value, allowing many more operations to be done in "Clean Screen" mode. Variables are displayed in the menus with the current value shown after a colon. Command options, such as Fillet Radius, start the command after setting a value. Variables with on/off values have a check mark indicating the on setting.

Keyboard Access to Menu Items and Toolbars
Users who like to type commands can quickly access a menu item with two or three keystrokes. To draw a linear dimension for example, type Alt+N to select the Dimension menu, then L. The underlined letter shows each menu item's keystroke. The arrow keys can be used to scroll up, down and across menus, then press Enter to select an item and Escape or Alt to cancel a displayed menu. This method gives quick access to a large number of commands with fewer keystrokes than typing a command alias and option. It also provides one-keystroke access to osnap and shortcut menu items.

Most menus and submenus have a corresponding toolbar to provide two different but consistent ways to pick commands. Menus with a corresponding toolbar put the toolbar item at the bottom and its keystroke is the spacebar. Whenever the menu is displayed, just press the spacebar to display the toolbar.

Note: The underlines on menus might currently be turned off. If so, press and release the Alt key to make them visible. They must be turned on to see them in the osnap and shortcut menus. To change this setting go to the Windows Control Panel > Display Properties > Appearance > Effects.

A description is given here for menu items which are new in PRO Menu, or operate differently from standard AutoCAD. Items not listed function unchanged from normal AutoCAD. New PRO Menu commands are shown in parentheses.

File Menu | Edit Menu
View Menu | Insert Menu
Format Menu | Tools Menu
Draw Menu | Dimension Menu
Modify Menu | Construct Menu
Layers Menu | Text Menu
Help Menu


File Menu

New File menu items are:

Save & Close - Saves the current drawing and then closes it.
Save Copy As - Starts the save command, which saves a copy of the drawing under a new name without renaming the current drawing.
Write Block - Shows the dialog for the wblock command.

Drawing Utilities
Count Blocks - (BKL) Lists named blocks and xrefs with number of insertions of each in the text window.
Update Block Icons - Creates or updates icons for all blocks in the drawing (blockicon).
Open Log File - If log files are on, opens the log file of the current drawing in Notepad
Recover - Starts the recover command to repair a drawing file.
Drawing Open By - Starts Whohas application to see ownership of open drawing files

Add Digital Signature - Adds a signature to the current drawing file
Validate Signature - Validates signatures in the current drawing file

Convert CTB to STB - Converts a color (CTB) plot style file to a named (STB) plot style (convertctb).
Convert Drawing Plot Style - Converts the drawing plot style from color to named (convertpstyles).

Drawing Properties
Measurement - Sets the MEASUREMENT variable to Imperial or Metric
Autosave Name - Shows the autosave file name for the current drawing.
Plot Style - Shows value of PSTYLEMODE for color-dependent or named plot style
Open Mode - Shows value of FULLOPEN, for partially open drawings
File Status - Shows the WRITESTAT variable, controlled by Windows.
Index Control - Sets INDEXCTL to none, layers, spatial or both for indexed demand loading.


Edit Menu

New items in the Edit menu are:

Undo Control

Back to Mark - Undoes back to the most recent Undo mark.

Insert Mark - Inserts an undo mark, displays current number of marks.

Begin Group - Begins an undo group of commands to be undone together.

End Group - Ends the current undo grouping of commands.


View Menu

These items are added or modified in the View menu. The View 2D menu does not have 3D viewing or rendering items, and displays in the PRO Menu2D workspace.

Zoom
Paper Space - (ZPS) If currently in a layout viewport, the display switches to Paper space and starts the rtzoom command. You can use the right-button menu options, and after exiting you are returned to Model space. If not in a viewport, it zooms normally.

The command works transparently during the line, move, copy and insert commands in Model space. This allows zooming or panning in Paper space, and then continuing the command without changing the Model space view. It provides similar functionality to locked viewports, without having to lock the viewport. Note: If you use the command in a maximized viewport, it will minimize the viewport.

In at Point - Transparently zooms in with 10X magnification at a picked point. Also available from an icon on the Zoom toolbar.

Pan
Paper Space - (PPS) Functions the same as ZPS above, but starts the pan command.

Named Views
A to I - Transparently restores a saved view prenamed A to I. If saved with layer settings, layer visibility will be restored with the view. Checkmarks indicate saved views.
Save View As - Saves the current viewport display as view A to I.
Save With Layers - Saves the current viewport display as view A to I, including layer visibility settings.
Save Window As - Saves a windowed area as view A to I.
Make Views A - I - (MSV) Creates nine overlapping views of the drawing extents, named A to I. Any view can be manually recreated. If run from a 3D viewpoint the view corners will be on the WCS plane. Creating the views after moving or erasing objects from the edge of the drawing can give inaccurate results. If so, use the Zoom Extents command, then run MSV again. Layer settings are not saved with each view, but can be added or changed in the View Manager dialog.
Show Viewbar - Displays the Viewbar, with buttons to transparently restore views A - I, as well as to create the saved views.

Note: Views cannot be saved or restored in view-locked viewports.

Rotated View - (ROV) Rotates the current viewport view to the specified angle. Not available in Paper space.

Legacy Shading
Shows options of the -shademode command to set shading from previous AutoCAD versions.
Shade for Slides - Sets SHADEMODE to 2D wireframe and uses the -SHADE command to create shaded images which can be saved by the MSLIDE command.

UCS Icon - Submenu transparently sets the UCS icon to Off, On or Origin in the current viewport and optionally for all viewports.

2D Plan View - On the View 2D menu only, resets the view to a plan view and 2D wireframe shading.


Insert Menu

The divide, measure and minsert commands have been added under "Multiple Blocks". Xbind has been included since it imports objects from xrefs. PRO Menu's xref commands allow picking xrefs on the screen or from a popup list, requiring fewer button clicks than the External Reference dialog. New items are:

Pick Block - (PBK) After picking a displayed block, its layer will be made current and the insert command starts inserting another one. Press Enter without picking a block to select from a dialog list of named blocks. To explode the block after insertion, check "Explode after inserting" on the dialog. Unlike the explode option in the normal insert command, PBK displays the block scaling and rotation on the screen while inserting it.

Pick Xef
Detach - (XRD) Detach an xref by picking it on the screen, or press Enter to display a popup list of current xrefs.
Bind - (XRB) Pick an xref to bind or press Enter for the popup list.
Reload - (XRR) Pick an xref to reload or press Enter for the popup list.
Unload - (XRU) Pick an xref to unload or press Enter for the popup list.
Set Path - (XRP) Pick an xref on the screen to change its path with the File dialog or press Enter for the popup list.
Xref Toolbar - Displays the External Reference toolbar.


Format Menu

These items are added or modified in the Format menu:

Linetype Scale
Displays and sets current global and object linetype scales in the submenu
Paper Space Scaling - Toggles PSLTSCALE variable for Paper space linetype scaling
Polyline Generation - Toggles PLINEGEN for polyline vertex segment generation

Polyline Type - Sets the PLINETYPE variable to control default conversion and creation of regular or lightweight polylines.

Drawing Limits
Displays and sets upper and lower limits of the current tab.
Apply Limit Check - Toggles LIMCHECK, to control drawing objects outside limits.

Display Settings - Sets several variables affecting the display and display-related items, a check mark or value in the menu shows current setting.

System Settings - Displays and sets several variables not available in the options dialog.

3D Settings - Displays and sets variables related to working in 3D, not available in the options dialog.


Tools Menu

New items in the Tools menu are:

Object Selection
Object Grouping - Starts the Group command.
Filters - Starts the Filter command to create object filter lists.
Select By Layer - Selects all objects on one or more layers by picking objects, or press Enter to pick layers from a pop-up list.

Inquiry
Use Distance - After picking two points, the direct distance between them is entered on the command line, to use as input during a command.

List Lite - (LL) Pick an object to list its properties next to the cursor and on the command line; the currently listed object will be highlighted. You can continue to pick objects repeatedly; press Enter or pick a blank area to exit. List Lite can be used transparently while selecting objects in a command. When picking a block or xref it lists the internal object under the pick box, as shown below.

List Lite display of object properties
Count Blocks - (BKL) Lists all blocks and xrefs in the current drawing, and the number of insertions of each. Correctly counts dynamic blocks, unlike the Express Tools command, bcount.

Set Variable - Displays a selected range of system variables with current values in the text window. Select and paste a variable on the command line, press Enter, then enter a new value or press F1 for Help information about it.

Load Application
ARX Applications - Starts the ARX command with a picked option.
Digital Signature - Starts acsignapply.exe to appy digital signatures
Reference Manager - Starts adrefman.exe to set xref properties of files
Windows Programs - Starts Notepad, Calculator, Explorer or Web Browser.

Cal Command
Starts the command line Cal command transparently, as an alternative to Quickcalc. Several commonly-used functions are in the submenu. See the AutoCAD documentation for full details on the Geometry Calculator.
Numeric Toolbar - Displays the numeric toolbar, for entering numbers and symbols with the mouse.

Snap, Grid
Snap Angle - Transparently sets viewport snap angle by picking two points or typing it.
Snap Base - Transparently sets viewport snap base point.
Isometric Snap - Transparently toggles isometric/regular snap in the current viewport, realigns grid dots.

Guidelines
On/Off - Toggles the guidelines layer on/off transparently (F4 key).
Draw Guidelines - (DGL) Draws guidelines on a layer called GUIDES-MS or GUIDES-PS.
Move Guidelines - (MGL) Moves the guidelines in the current space by picking base and destination points, or typing a displacement.

Customize
Load/Unload Partial CUI - Starts the cuiload command to load or unload a partial CUI file.
Toggle Status Line Info - Toggles display of the current text style, dimension style and group selection mode on the status line.


Draw Menu

Commands to create 3dsolids and surfaces are moved to the Modeling menu. New or changed items are:

On Layer Const - (CLL, CLR, CLX) Draws lines, rays, xlines or a circle on the layer CONST, then returns to the current layer. The CONST layer will be created if necessary, but its settings can be changed.

Circle
Center, Pick Radius - (PCR) Pick an arc or circle to draw a circle with the same radius.

Ellipse
Isometric Circle - Switches to isometric snap mode, draws an isometric circle.
Use Polylines - Toggles PELLIPSE, to use either splines or polylines for ellipses.

Polyline
Zero Width - Sets the default polyline width to zero, starts the pline command.
Set Width - Sets the default polyline width, starts the pline command. Current width is displayed in the menu.

Multiline
Scale - Starts Mline after setting the displayed scale factor.
Style - Displays current Mline style, starts Mline after setting it.
Justification - Starts Mline after setting current justification.

Point
3D Point - Inserts a block named 3dpoint, containing three point objects at right angles to each other, on the layer "3dpoints". If the 3dpoints layer is currently off or frozen, the command will thaw or turn on the layer. If the current value of PDMODE is 0 or 1, the command sets it to 34 to make point objects visible.

Hatch
Command Line - Starts the command line -bhatch, to allow typing hatch parameters.
Direct Hatch - Draws a hatch by directly picking points instead of using boundary objects.


Dimension Menu

New or changed items on the dimension menu are:

Pick Style & Layer - (PDS) Sets the current dimension style and layer by picking a dimension, or press Enter to set the style only from a popup list. The current dimension style is displayed in the menu.

Isometric
30°, 90°, 150° Obliqued - Draws an aligned dimension, then obliques it.
Oblique to 30°, 90°, 150° - Obliques selected dimensions to the picked angle.

No Leader - Sets DIMTMOVE to 2 in selected dimensions to position text without a leader. Use dimoverride/clear to restore default format.

Edit Text - Starts the ddedit command to edit dimension mtext.
Edit Multiple - Replaces or adds a prefix or suffix to the default text in multiple dimensions.
Restore Default - Restores text in selected dimensions to its original associative value.

Update - (UPD) Command to update selected dimensions to the current style settings.

Dim Association
Disassociate - Starts the disassociate command
Regenerate - Starts the dimregen command
Associativity - Sets the dimassoc variable to associative, non-associative or exploded in the current drawing.


Modify Menu

In order to keep the Modify menu at a manageable length, all commands which copy objects or create new objects from existing ones have been put in the Construct menu. New items on the Modify menu are:

Change Properties - Submenus change the color, linetype, linetype scale, lineweight and thickness of objects by picking a value from the menu or typing it. These menu items are useful for changing specific object properties without displaying the Properties Palette or toolbars. Press Enter to repeat the change on additional objects.

Layer - (CHL) Changes the layer of selected objects. Specify the new layer by picking an object on the screen. Press Enter to use the popup layer list; xref-dependent layers are not listed. Use CHL instead of matchprop to modify the layer of currently selected objects or if the target layer is turned off or frozen.

Object
Convert - Starts the CONVERT command to convert all old-style polylines, hatches or both to AutoCAD 2006 format.

Polyline
Single - Starts the pedit command.
Multiple - Starts pedit with the multiple option.
Set Width - (PLW) Sets the width of multiple polylines, automatically converts lines and arcs to polylines regardless of the value of PEDITACCEPT. The entered width remains the default the next time the command is used.
Zero Width - (PLZ) Sets the width of multiple polylines to zero, converts lines and arcs to polylines.

Except for PLE, the following commands are applied to multiple 2D or 3D polylines.

Join - (PLJ) Joins all selected objects into polylines using the current pedit settings for join type and fuzz distance. Lines and arcs are converted regardless of the value of PEDITACCEPT.
Edit Vertex - (PLE) Edits vertex on a single polyline
Close - (PLC) Closes selected polylines
Open - (PLO) Opens selected polylines
Linetype Gen - (PLL) Sets linetype generation on/off (2D plines)
Fit Curve - (PLF) Fit curves polylines (2D plines)
Spline Curve - (PLS) Spline curves polylines
Decurve - (PLD) Decurves polylines
Convert - Starts the CONVERTPOLY command, to convert between polylines and lightweight polylines.

Converting lines and arcs and editing polylines can be done most easily by selecting objects, then using PRO Menu's expanded shortcut menus.

Text
Multiple Edit - (MTE) See Text Menu
Edit in Notepad - See Text Menu

Erase
Repeat - Erases single objects repeatedly. Press Esc to exit.
Oops - Oops command, to restore last erased objects.

Rotate
2 Point Rotate - (2PR) Rotates objects by picking a base point and second point, then dragging the second point.

Scale
2 Point Scale - (2PS) Scales objects by picking a base point and second point, then dragging the second point.

Break
Repeat at Point - Breaks objects repeatedly at picked points. Press Escape to exit.

Trim
Use All Objects - Presses Enter to use all objects as edges.
Pick Edges - Normal trim, prompts to pick edge objects first.
Extend Edges - Toggles EDGEMODE to extend edge objects.
Projection - Sets PROJMODE, for 3D object projection

Extend
Use All Objects - Presses Enter to use all objects as edges.
Pick Edges - Normal extend, prompts to pick edge objects first.
Extend Edges - Toggles EDGEMODE to extend edge objects.
Projection - Sets PROJMODE, for 3D object projection


Construct Menu

This new menu contains all commands which copy objects or create new objects based on existing ones. Most commands of this type have been moved from the Modify menu. New menu items are:

Copy then Rotate - (CTR) Copies selected objects, then rotates them after placing the copy.

Copy to Layer - (CTL) Creates copies of selected objects at the same location on another layer. Specify the target layer by picking an object on the screen, or press Enter to use the popup list; xref-dependent layers are not listed. Selected objects will remain on their original layer, and copies of groups are not grouped on the new layer.

Block
Write Block - Starts the wblock command with the AutoCAD 2007 dialog.
-Block - Starts the -block command to enter block data on the command line.
Count Blocks - Lists current blocks and number of insertions in the text window.
Create Previews - Starts the blockicon command to add block previews to the current drawing

Chamfer
Polyline - Starts chamfer with the polyline option.
Distances - Changes chamfer distances, starts chamfer.
Length, Angle - Changes length and angle, starts chamfer.
Trim Mode On/Off - Toggles TRIMMODE, starts chamfer.
Method - Toggles distance/angle method, starts chamfer.
Multiple - Starts chamfer with the multiple option.
Zero Distance - Sets distances to zero, starts chamfer.

Fillet
Polyline - Starts fillet with the polyline option.
Radius - Changes fillet radius, starts the fillet command.
Trim Mode On/Off - Toggles TRIMMODE, starts fillet.
Pick Radius - Pick an arc or circle to create a fillet of the same radius.
Multiple - Starts fillet with the multiple option.

Zero Radius Fillet - (ZRF) Command to draw zero radius fillets without changing the current radius value.

Saved Radius
Starts fillet with one of five saved radii. Current radius values are saved in the drawing in the USERR1 to USERR5 variables and are displayed in the menu. If the variables are all currently zero when opening a drawing, they will be set to default radii.
Fillet Toolbar - Displays the Fillet toolbar, to draw fillets from saved radii and set saved radius values.


Layers Menu

This new menu has all commands for controlling layers, and displays the current layer name at the top. Layer selection is by either picking objects on the screen or selecting layers from a popup list. If no objects on the required layer are visible, press Enter to display the list. Only layers which are valid for the current operation are displayed, for example only frozen layers are listed at the LTH (layer thaw) command.

Current Viewport items will apply to either Paper space or in the current viewport. For Selected Viewports items, the display will first switch to Model space to pick object layers, or press Enter for the popup list. If necessary, the VPORTS layer will then be made visible to select viewport borders in Paper Space. All layers are listed to allow setting final viewport visibility this way.

The main advantages of PRO Menu's layer commands over the new Layer Tools are:

  • There is the optional popup layer list
  • "All Layers On" works transparently
  • All commands work on internal layers of xrefs
  • Separate commands exist for global freeze and viewport freeze
  • Additional commands can be applied to selected viewports
  • One-click, transparent restore of saved layer states
Layer popup list

The layer popup list is filtered to
show only layers which apply to
the current operation. This is the
LON (Layer On) command, which
lists layers currently turned off.

Pick Current Layer - (PCL) Sets the current layer by picking an object on the screen. Press Enter to see the popup list, then double click a layer name to select it and close the dialog. If necessary the selected layer will be thawed or turned on.

Global Settings
Off - (LOF) Turns layers off, layers thawed and on are shown in the popup list.
On - (LON) Turns layers on, the popup list shows layers currently thawed and off.
Freeze - (LFR) Globally freezes layers, displays thawed layers in the popup list.
Thaw - (LTH) Displays a popup list of currently frozen layers.
Lock - (LLO) Locks layers, only unlocked, non-xreffed layers are listed.
Unlock - (LUN) Unlocks layers, only locked, non-xreffed layers are listed.
Plot - (LPL) Sets layers to plot, non-plotted layers are listed.
No Plot - (LNP) Sets layers to not plot, plotted layers are listed.
Color - (LCO) Sets color of selected layers, all layers are listed.
Lineweight - (LLW) Sets lineweight of selected layers, all layers are listed.

All Layers
On - Transparently turns on all layers in the drawing.
Thaw - Thaws all layers in the drawing transparently, regen is queued.
Unlock - Unlocks all layers in the drawing transparently.
List - Transparently lists all layers and their settings on the text screen. The list can be selected to paste into a file for printing.

Current Viewport
Freeze - (CVF) Freezes selected layers in the current viewport.
Isolate - (CVI) Isolates selected layers in the current viewport.
Thaw All - Thaws all layers in the current viewport.

Selected Viewports
Freeze - (VLF) Select layers to freeze, then pick desired viewport borders.
Thaw - (VLT) Select layers to thaw, then pick desired viewport borders.<
Thaw All - (VLA) Pick the borders of viewports in which to thaw all layers.
Isolate - (VLI) Freezes all but selected layers in picked viewports.
Set Default - (VLD) Sets default visibility of layers in new viewports.
Reset - (VLR) Resets layers to their default visibility.
New Frozen - (VLN) Enter new layer names to be frozen by default.
List Frozen - (VLL) Pick a viewport border to list its frozen layers.

Isolate - (LIS) Turns off all layers except those picked on the screen or from the popup list. Frozen layers are not shown in the list. To isolate layers in viewports use PRO Menu's CVI or VLI commands.
Isolate Current - Transparently turns off all layers except the current one.
Unisolate - (LRE) Restores layer on/off settings which were in effect before using isolate. Grayed if layers have not been isolated in the current drawing.

Restore State 1...5 - (LR1 - LR5)
Restores a saved layer state named 1 to 5, transparently when picked on the menu or the Restore Layers toolbar. If the state does not exist, the message "Unknown layer state name" displays on the command line. If used during a command, frozen layers will not appear until the display is regenerated.
Restore Layers Toolbar - Displays the toolbar with five buttons to transparently restore layer states.

Save State 1...5 - (LS1 - LS5)
Saves a layer state named 1 to 5, using the current layer state settings. If the state already exists it will be overwritten.

New Layers - (LNE) Type new layer names on the command line separated by commas. If picked from the menu it will work transparently, such as during the CTL (Copy to Layer) command.
New Current - (LNC) Type a new current layer name on the command line.

Delete Layer Filters - Filters command to delete layer filters.


Text Menu

This new menu contains all commands for working with text. Attribute-related commands are in the Attributes submenu. New items are:

Pick Style & Layer - (PTS) Sets the current text style and layer by picking text, or press Enter to set only the style from a popup list. The current text style is displayed in the menu.

Multiline Text - Starts mtext command with a picked option, including justification.

Single Line Text - Starts text command with a picked option, including justification.

Multiple Edit - (MTE) Edits multiple single line text objects with ddedit. Selected text lines are sorted by vertical position and edited sequentially until all are processed. Click Cancel to end the command.

Edit in Notepad - Edits single line text in Notepad. Selected text lines are sorted by vertical position, put in a file named PRO_TEMP.TXT and opened in Notepad. After saving the text, press Enter and the edited text is read back into the drawing. Use this command to edit a single column of text and MTE to edit multiple text lines in different locations.

Continue - (CNT) Continues single line text on a new line below picked text, with the same properties and style. New text will be left justified.

Modify Text
Convert Text to Mtext - (TTM) Converts selected single line text to mtext, with the properties and style of the top line. The overall width will be that of the longest line selected. Not all justifications can be converted, so the mtext will be left justified.
If more than one line is selected a prompt offers to merge the text into one paragraph. Enter Y, the default, to have the text wrap to the mtext width. If the selected text is currently arranged in paragraphs, insert a line break after each paragraph. To keep the current line endings, enter N at the prompt and the mtext will be given a zero width value.
To combine multiple mtext objects into a single one, explode the mtext to single line text. Then use TTM to combine the text lines into one mtext object.
Show Frames - (RGQ) Makes selected qtext frames readable without regenerating the drawing.

Export Text - (EPT) Writes single line text to a file, adding the extension "txt" if none is specified. Select the text lines to save, then specify a name in the file dialog. Lines will be sorted by their vertical position.

Import Text - (IMT) Imports a text file and creates single line text using the current style. In the "File name:" box of the dialog, enter an extension to see only that file type or *.* for all files.

Text Settings
Default Height - Displays the TEXTSIZE variable, changes default text height.
Text Quality - Displays TEXTQLTY, sets printed TrueType font smoothness in DPI.
Alternate Font - Sets FONTALT for the font to use if a specified font is not available
Qtext Frames - Toggles QTEXTMODE on/off to display text rectangles
Mirror Text - Toggles MIRRTEXT to control text mirroring
Filled Text - Toggles TEXTFILL to display filled TrueType fonts
Sample Mtext - Sets MTJIGSTRING for sample mtext string
Snap to Node - Toggles OsnapNodeLegacy environment variable for node osnap
Mtext Editor - Sets MTEXTED to control the default editor for mtext.

List All Styles - Lists all saved text styles and their settings in the text window.


Help Menu

PRO Menu Help information is in the Help menu, and includes a reference list of commands, key assignments and mouse buttons. Selecting an item will start the command.

PRO Menu Help - Displays the PRO Menu Help file.

Command Reference - Lists all the new PRO Menu commands in submenus, organized by type.

PRO Menu Keys - Lists keys programmed in the PRO Menu CUI file.

Mouse Buttons - Mouse button assignments (Mbuttonpan = 1).

About PRO Menu - Displays PRO Menu version information.

Send Comments - Goes to the PRO Menu Feedback Page to submit your comments.


Keyboard Macros

Programming keys with frequently-used commands and macros can be a big productivity booster. PRO Menu has several keys programmed, you may want to add more via the CUI customization dialog.

These keys are in addition to the AutoCAD defaults. They all work transparently except Ctrl + Shift + Z - Popup Toolbox.
F4 - Toggle Guidelines

Ctrl + E - Toggle Dashboard (transparent if floating)
Ctrl + W - Toggle External References palette (transparent if floating)
Ctrl + F - Show Osnap menu
Ctrl + G - Show Swap Toolbars cursor menu
Ctrl + Shift + D - Dist command
Ctrl + Shift + Z - Popup Toolbox
Ctrl + Alt + A ... I - Restore saved view A to I

PRO Key
Not all keys can be programmed in the CUI dialog. To easily program almost any key combination, we recommend PRO Key. To find out more, click the link to the PRO Key page.


Guidelines

Using the Guidelines

AutoCAD's grid dots can be a helpful drawing aid, but you often need more than tiny dots to help construct a drawing. PRO Menu provides real guidelines, like a squared writing pad. A common way to use the guidelines is with a base grid of lines in the World coordinate system, but you can put the lines wherever you position the UCS.

Creating Guidelines
To create new lines, pick "Draw Guidelines" in the Tools > Guidelines menu, or type DGL. The snap angle must be at zero degrees before using the command. Type or pick two corner points for the grid, or type L to use the drawing limits. When used for the first time limits are used as defaults. Next, type or pick two distances to provide the X and Y line spacing in response to the prompts. The grid will be drawn based at the first corner point, and will extend to or just beyond the second corner point. If architectural units are current, type the spacing in inches. After the guidelines are drawn, you are given the option of displaying them behind all other objects. Separate grids are created in Model and Paper space, in Model space on the layer GUIDES-MS, in Paper space on the layer GUIDES-PS. Like other Paper space objects, independent grids are created for each layout tab.

To add a new guideline grid without erasing an existing one, rename the GUIDES-MS or GUIDES-PS layer, then create the new lines in Model space or Paper space. To redraw a grid with the same corners but new line spacing, press Enter when prompted for the corner points. You can move the lines by picking the "Move Guidelines" menu item, or type MGL. Like the move command, pick a base point and destination point, or type a displacement and press Enter twice. After moving the guidelines, you may need to regenerate the viewport to redisplay them behind other objects.

Toggling the Lines On and Off
The guidelines in the current space can be toggled on and off during any normal AutoCAD command, including grip editing. There are several ways to do this: press F4, click the "Guidelines On/Off" toolbar button or Tools > Guidelines > On/Off menu item, or "Guidelines" on the Screen menu.

Using the Guidelines
The guideline layers are locked, so the lines will not be selected during any editing commands. They work well with osnaps like intersection, perpendicular or nearest to draw and position objects. When grips on the lines are visible, the lines remain unselected but the grips are available as snap points. You can select individual lines as edges for the extend and trim commands, or use the guidelines to trim or break objects in several places at regular intervals.

If you want to use the lines as normal objects in a drawing, rename the GUIDES-MS or GUIDES-PS layer and then unlock the layer. A new guidelines layer will be created the next time you use the DGL command.


Screen Menu

For those who don't like toolbars, PRO Menu's redesigned Screen menu can be a very productive way of working with AutoCAD. The Screen menu is the only context-sensitive item in AutoCAD's interface (besides the shortcut menus), since it automatically shows options for the current command. By dynamically reusing the same graphics area, it can make more efficient use of screen space than toolbars or the Dashboard.

PRO Menu improves the default Screen menu design, with the base menu containing frequently-used commands for quick access. It uses more display height than the ACAD menu, so the SCREENBOXES variable must be at least 36 to display all menu items. This is affected by the Windows menu font and size, the rows of toolbars docked at the top of the screen and the number of lines in the command window. The Screen menu width and height can be adjusted by undocking it, dragging an edge and docking it again.

Screen menu Items use the following label format:

  • Menu page names are shown in uppercase
  • Commands are in lower case followed by a colon
  • Command options and responses are in lower case without a colon

Many of the Screen menus use standard commands rather than the equivalent new PRO Menu command. This provides an alternative for users who prefer to type options or wild cards at the command line. Where a command option is followed by a colon, such as 2 Horz: in the VPORTS menu, picking the item at the command prompt starts the command with the picked option.

A fixed section at the bottom of the Screen menu contains these frequently-used items:

-- LAST-- - Steps back through the last eight menu pages
SELECT - Displays the Object Selection menu
ZOOM - Displays the Zoom screen menu
U - Same as typing U and pressing Enter
Pan - Realtime pan
Cancel - Cancels the current operation
Clear Grips - Cancels grip editing and clears grips from the screen
Popup Toolbox - Displays the Popup Toolbox
Properties - Toggles the Properties palette on/off transparently
TextWindow - Displays the text window
Guidelines - Toggles the guidelines on/off transparently

Screen menus have been added or the options are expanded for several commands. A menu page for isometric dimensioning has commands to create and modify dimensions with oblique angles of 30°, 90° or 150°. Many command menus have osnaps or other items added where space permits.


Troubleshooting

Troubleshooting and Support

PRO Menu has been thoroughly tested and will run reliably with all AutoCAD installations. Some situations which could arise are listed below, with the likely cause and the solution.

A question mark appears where there should be an icon on a toolbar.
This is caused by one or more of the icon BMP files not found. Check that all the BMP files are in the Promenu folder. Also be sure the Promenu folder is listed in the Support File Search Path, set in the Options > Files dialog.
BR> If installing PRO Menu manually, the Promenu folder must be added to the Search Path before loading PRO Menu. If the CUI file is loaded first, it will compile with question marks for the PRO Menu icons. Should this happen, add the Promenu folder, then use the MENU command to reload the PRO Menu CUI file.

The message "null function" or "unknown command" appears when you try a PRO Menu command.
The PRO Menu commands will not load in the current drawing unless you click "Continue" on the trial dialog. If the 50 trials have been used up, you will need to register PRO Menu.

Another possibility is the file "Promenu.mnl" was not loaded. Check the Promenu folder for the file, which will load Promenu.fas. The Promenu folder must also be on the Support File Search Path. Load the MNL file into the current drawing by typing: (load "promenu.mnl"). This may solve the problem or provide a clue to the cause.

Some AutoCAD vertical products, such as Mechanical Desktop have a bug which may stop the MNL file from loading. Putting a copy of PROMENU.MNL in the base AutoCAD folder (MDT for Mechanical Desktop) or clicking "Set Current" in Options > Profiles should fix the problem.

A command cancels with the message "Can't reenter LISP".
This is due to the limitations of AutoLISP and can happen with the normal AutoCAD menu as well. It is caused by starting an AutoLISP routine while already in one. It can be avoided by not doing certain commands at the same time. It should happen only rarely, so try to avoid the combination of commands.

The message "The PRO Menu dialog box file was not found" appears when you load the menu or start AutoCAD.
Check the files in the Promenu folder, where the file PROMENU.DCL should have been copied when you installed PRO Menu. Also be sure the Promenu folder is in the Support File Search Path, set in the Options > Files dialog.

Technical Support

If the above advice does not solve the problem, please do the following before contacting MultiCIM:

1. Be sure the problem is due to PRO Menu
AutoCAD is not completely bug-free. Change to the standard CUI and see if the condition persists. If a problem occurs after loading a specific AutoLISP program, reload the PRO Menu commands by typing: (load "promenu"). Then try the command which seems to cause a problem.

2. Verify that the problem is consistent and then document it in writing
If you can tell us exactly what actions create it and how you have tried to solve it, we will be much further ahead in finding a solution. We will also need to know your AutoCAD version and any other add-ons or programs you are using at the same time as PRO Menu.

After following the above steps, contact MultiCIM by phone, fax or e-mail and we will try to resolve the difficulty. You can also click on "Send Comments" in the Help menu to go directly to our Feedback Page.

MultiCIM Technologies Inc.
640 Bord du Lac, Suite 101
Dorval QC Canada
H9S 2B6

Phone: 514-633-6401
Fax: 514-633-6495
E-mail: support@multicim.com

www.multicim.com


Command Summary

These PRO Menu commands can be typed at the command line. Those preceded by an apostrophe will work transparently. Command names can be given aliases by adding them to the ACAD.PGP file.

Global Layer Commands

PCL - Pick current layer
LON - Layers on
LOF - Layers off
LTH - Thaw layers
LFR - Freeze layers
LUN - Unlock layers
LLO - Lock layers
LPL - Plot layer
LNP - Do not plot layer
LLW - Set layer lineweight
LCO - Set layer color
LIS - Isolate layers
LRE - Restore previous visibility
LR1 - LR5 - Restore layer state 1 - 5
LS1 - LS5 - Save layer state 1 - 5
LNE - Add new layers
LNC - Make a new current layer
Viewport Layer Commands
CVF - Freeze in current viewport
CVI - Isolate in current viewport
VLF - Freeze viewport layers
VLT - Thaw viewport layers
VLA - Thaw all viewport layers
VLD - Set viewport layer defaults
VLR - Reset viewport layers
VLI - Isolate viewport layers
VLN - New frozen viewport layers
VLL - List frozen viewport layers
Drawing Tools
CTR - Copy then rotate
CTL - Copy to layer
CHL - Change object layer
PCR - Pick circle radius
PFR - Pick fillet radius
ZRF - Zero radius fillet
PBK - Pick block to insert
CLL - Draw lines on CONST layer
CLR - Draw rays on CONST layer
CLX - Draw xlines on CONST layer
CLC - Draw circle on CONST layer
SQE - Square: edge endpoints
SQC - Square: center, corner point
SQM - Square: center, edge midpoint
2PS - 2 point scale
2PR - 2 point rotate
ROX - 3D rotate about X axis
ROY - 3D rotate about Y axis
Polyline Editing
PLM - Pedit - multiple
PLW - Set multiple polyline width
PLZ - Zero multiple polyline width
PLJ - Pedit - multiple - join
PLE - Edit single polyline vertex
PLC - Close polylines
PLO - Open polylines
PLL - Set linetype generation
PLF - Fit curve polylines
PLS - Spline curve polylines
PLD - Decurve polylines
Utility Commands
'LL - List Lite
SEL - Preselect objects
PDS - Pick dimension style and layer
PTS - Pick text style and layer
DGL - Draw guidelines
MGL - Move the guidelines
UPD - Update dimensions
PGP - Edit ACAD.PGP in Notepad
BKL - Count named blocks and xrefs
3DP - Insert 3D point
Text Commands
MTE - Edit multiple lines of text
CNT - Continue text
TTM - Convert text to mtext
EPT - Export single-line text to a file
IMT - Import a text file to single-line text
VTF - View a text file
RGQ - Regenerate selected Qtext
Display Commands
'PPS - Pan in Paper space from Model space
'ZPS - Zoom in Paper space from Model space
RGL - Regenerate layers
RGO - Regenerate objects
MSV - Creates nine tiled saved views named A to I
ROV - Rotate current view
Xref Commands
XRA - Attach xref
XRD - Detach xref
XRU - Unload xref
XRR - Reload xref
XRB - Bind xref
XRP - Change xref path
XRL - List all xrefs


Ordering PRO Menu

To order PRO Menu, click the "Order Now!" button on the trial dialog to open the Order Form in the default browser. The PRO Menu version and Product ID should be automatically entered in the form. If not, select your AutoCAD version, and write the Product ID at the bottom of the form after printing. Fill in all the other fields. The price and applicable taxes will be displayed for your location. Select a payment method, then click the Print button to print the form. For credit card purchases, sign the form and fax it to the listed fax number. For a check or money order, mail the form with your payment. You will receive an Activation Code by e-mail.

To remove the 50-trial limitation, copy and paste the Activation Code in the trial dialog, then click "Activate". The code will work only with the unique Product ID which appears in the trial dialog.

Company purchase orders will be accepted after first contacting MultiCIM. For up-to-date price and ordering information on PRO Menu and PRO Key, click below to go to the PRO Menu Order Page.

PRO Menu Order Page

MultiCIM Technologies Inc.
640 Bord du Lac, Suite 101
Dorval QC Canada
H9S 2B6

Phone: 514-633-6401
Fax: 514-633-6495
E-mail: info@multicim.com

www.multicim.com